configure: Check for libnl-route-3 package
authorThomas Graf <tgraf@redhat.com>
Fri, 23 Sep 2011 11:43:01 +0000 (13:43 +0200)
committerDan Williams <dcbw@redhat.com>
Fri, 30 Sep 2011 05:05:53 +0000 (00:05 -0500)
NM not only depends on libnl but also on libnl-route. Therefore check for the
corresponding pkg-config file and use its CFLAGS and LIBS. Otherwise fall
back to using libnl-2 or libnl-1.

Signed-off-by: Thomas Graf <tgraf@redhat.com>

configure.ac

index 8b6782a..932164b 100644 (file)
@@ -315,10 +315,11 @@ AC_DEFINE_UNQUOTED(NO_CONSOLEKIT, $no_ck, [Define to disable use of ConsoleKit])
 
 have_libnl="no"
 PKG_CHECK_MODULES(LIBNL3, libnl-3.0, [have_libnl3=yes], [have_libnl3=no])
-if (test "${have_libnl3}" = "yes"); then
+PKG_CHECK_MODULES(LIBNL_ROUTE3, libnl-route-3.0, [have_libnl_route3=yes], [have_libnl_route3=no])
+if (test "${have_libnl3}" = "yes" -a "${have_libnl_route3}" = "yes"); then
        AC_DEFINE(HAVE_LIBNL3, 1, [Define if you require specific libnl-3 support])
-       LIBNL_CFLAGS="$LIBNL3_CFLAGS"
-       LIBNL_LIBS="$LIBNL3_LIBS"
+       LIBNL_CFLAGS="$LIBNL3_CFLAGS $LIBNL_ROUTE3_CFLAGS"
+       LIBNL_LIBS="$LIBNL3_LIBS $LIBNL_ROUTE3_LIBS"
        libnl_version="3"
        have_libnl="yes"
 else